LibreOffice: com::sun::star::uno::BaseReference Class Reference

LibreOffice LibreOffice 7.0 SDK C/C++ API Reference

Public Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
com::sun::star::uno::BaseReference Class Reference

This base class serves as a base class for all template reference classes and has been introduced due to compiler problems with templated operators ==, =!. More...

`#include <Reference.h>`

## Public Member Functions
XInterface * | get () const
| Gets interface pointer. More...
bool | is () const
| Checks if reference is null. More...
bool | operator== (XInterface *pInterface) const
| Equality operator: compares two interfaces Checks if both references are null or refer to the same object. More...
bool | operator!= (XInterface *pInterface) const
| Inequality operator: compares two interfaces Checks if both references are null or refer to the same object. More...
bool | operator== (const BaseReference &rRef) const
| Equality operator: compares two interfaces Checks if both references are null or refer to the same object. More...
bool | operator!= (const BaseReference &rRef) const
| Inequality operator: compares two interfaces Checks if both references are null or refer to the same object. More...
bool | operator< (const BaseReference &rRef) const
| Needed by some STL containers. More...

## Static Protected Member Functions
static XInterface * | iquery (XInterface *pInterface, const Type &rType)
| Queries given interface for type rType. More...
static XInterface * | iquery_throw (XInterface *pInterface, const Type &rType)
| Queries given interface for type rType. More...

## Protected Attributes
XInterface * | _pInterface
| the interface pointer More...

## Detailed Description

This base class serves as a base class for all template reference classes and has been introduced due to compiler problems with templated operators ==, =!.

## Member Function Documentation

## ◆ get()

XInterface* com::sun::star::uno::BaseReference::get | ( |  | ) | const
| inline

Gets interface pointer.

This call does not acquire the interface.

Returns
  UNacquired interface pointer

## ◆ iquery()

XInterface * com::sun::star::uno::BaseReference::iquery | ( | XInterface * | pInterface,
|  | const Type & | rType
| ) |  |
| inlinestaticprotected

Queries given interface for type rType.

Parameters

  pInterface | interface pointer
  rType | interface type

Returns
  interface of demanded type (may be null)

## ◆ iquery_throw()

XInterface * com::sun::star::uno::BaseReference::iquery_throw | ( | XInterface * | pInterface,
|  | const Type & | rType
| ) |  |
| inlinestaticprotected

Queries given interface for type rType.

Throws a RuntimeException if the demanded interface cannot be queried.

Parameters

  pInterface | interface pointer
  rType | interface type

Returns
  interface of demanded type

## ◆ is()

bool com::sun::star::uno::BaseReference::is | ( |  | ) | const
| inline

Checks if reference is null.

Returns
  true if reference acquires an interface, i.e. true if it is not null

## ◆ operator!=() [1/2]

bool com::sun::star::uno::BaseReference::operator!= | ( | const BaseReference & | rRef | ) | const
| inline

Inequality operator: compares two interfaces Checks if both references are null or refer to the same object.

Parameters

  rRef | another reference

Returns
  false if both references are null or refer to the same object, true otherwise

## ◆ operator!=() [2/2]

bool com::sun::star::uno::BaseReference::operator!= | ( | XInterface * | pInterface | ) | const
| inline

Inequality operator: compares two interfaces Checks if both references are null or refer to the same object.

Parameters

  pInterface | another interface

Returns
  false if both references are null or refer to the same object, true otherwise

## ◆ operator<()

bool com::sun::star::uno::BaseReference::operator< | ( | const BaseReference & | rRef | ) | const
| inline

Needed by some STL containers.

Parameters

  rRef | another reference

Returns
  true, if this reference is less than rRef

## ◆ operator==() [1/2]

bool com::sun::star::uno::BaseReference::operator== | ( | const BaseReference & | rRef | ) | const
| inline

Equality operator: compares two interfaces Checks if both references are null or refer to the same object.

Parameters

  rRef | another reference

Returns
  true if both references are null or refer to the same object, false otherwise

## ◆ operator==() [2/2]

bool com::sun::star::uno::BaseReference::operator== | ( | XInterface * | pInterface | ) | const
| inline

Equality operator: compares two interfaces Checks if both references are null or refer to the same object.

Parameters

  pInterface | another interface

Returns
  true if both references are null or refer to the same object, false otherwise

## Member Data Documentation

## ◆ _pInterface

XInterface* com::sun::star::uno::BaseReference::_pInterface
| protected

the interface pointer

The documentation for this class was generated from the following files:

- com/sun/star/uno/Reference.h
- com/sun/star/uno/Reference.hxx